Web Links Browse Collapse Expand PDF Previous Next

ASA ODBC Configuration Help

Version 9.0.2

DC37301-01-0902-01

October 2004


Copyright

Copyright © 1989–2004 Sybase, Inc. Portions copyright © 2001–2004 iAnywhere Solutions, Inc. All rights reserved.

No part of this publication may be reproduced, transmitted, or translated in any form or by any means, electronic, mechanical, manual, optical, or otherwise, without the prior written permission of Sybase, Inc.

Sybase, SYBASE (logo), AccelaTrade, ADA Workbench, Adaptable Windowing Environment, Adaptive Component Architecture, Adaptive Server, Adaptive Server Anywhere, Adaptive Server Enterprise, Adaptive Server Enterprise Monitor, Adaptive Server Enterprise Replication, Adaptive Server Everywhere, Adaptive Server IQ, Adaptive Warehouse, AnswerBase, Anywhere Studio, Application Manager, AppModeler, APT Workbench, APT-Build, APT-Edit, APT-Execute, APT-Library, APT-Translator, ASEP, AvantGo, AvantGo Application Alerts, AvantGo Mobile Delivery, AvantGo Mobile Document Viewer, AvantGo Mobile Inspection, AvantGo Mobile Marketing Channel, AvantGo Mobile Pharma, AvantGo Mobile Sales, AvantGo Pylon, AvantGo Pylon Application Server, AvantGo Pylon Conduit, AvantGo Pylon PIM Server, AvantGo Pylon Pro, Backup Server, BayCam, Bit-Wise, BizTracker, Certified PowerBuilder Developer, Certified SYBASE Professional, Certified SYBASE Professional Logo, ClearConnect, Client Services, Client-Library, CodeBank, Column Design, ComponentPack, Connection Manager, Convoy/DM, Copernicus, CSP, Data Pipeline, Data Workbench, DataArchitect, Database Analyzer, DataExpress, DataServer, DataWindow, DB-Library, dbQueue, Developers Workbench, Direct Connect Anywhere, DirectConnect, Distribution Director, Dynamic Mobility Model, Dynamo, e-ADK, E-Anywhere, e-Biz Integrator, EC Gateway, ECMAP, ECRTP, eFulfillment Accelerator, Electronic Case Management, Embedded SQL, EMS, Enterprise Application Studio, Enterprise Client/Server, Enterprise Connect, Enterprise Data Studio, Enterprise Manager, Enterprise Portal (logo), Enterprise SQL Server Manager, Enterprise Work Architecture, Enterprise Work Designer, Enterprise Work Modeler, eProcurement Accelerator, eremote, Everything Works Better When Everything Works Together, EWA, E-Whatever, Financial Fusion, Financial Fusion (and design), Financial Fusion Server, Formula One, Fusion Powered e-Finance, Fusion Powered Financial Destinations, Fusion Powered STP, Gateway Manager, GeoPoint, GlobalFIX, iAnywhere, iAnywhere Solutions, ImpactNow, Industry Warehouse Studio, InfoMaker, Information Anywhere, Information Everywhere, InformationConnect, InstaHelp, Intelligent Self-Care, InternetBuilder, iremote, iScript, Jaguar CTS, jConnect for JDBC, KnowledgeBase, Logical Memory Manager, Mail Anywhere Studio, MainframeConnect, Maintenance Express, Manage Anywhere Studio, MAP, M-Business Channel, M-Business Network, M-Business Server, MDI Access Server, MDI Database Gateway, media.splash, Message Anywhere Server, MetaWorks, MethodSet, ML Query, MobiCATS, My AvantGo, My AvantGo Media Channel, My AvantGo Mobile Marketing, MySupport, Net-Gateway, Net-Library, New Era of Networks, Next Generation Learning, Next Generation Learning Studio, O DEVICE, OASiS, OASiS logo, ObjectConnect, ObjectCycle, OmniConnect, OmniSQL Access Module, OmniSQL Toolkit, Open Biz, Open Business Interchange, Open Client, Open Client/Server, Open Client/Server Interfaces, Open ClientConnect, Open Gateway, Open Server, Open ServerConnect, Open Solutions, Optima++, Orchestration Studio, Partnerships that Work, PB-Gen, PC APT Execute, PC DB-Net, PC Net Library, PhysicalArchitect, Pocket PowerBuilder, PocketBuilder, Power Through Knowledge, power.stop, Power++, PowerAMC, PowerBuilder, PowerBuilder Foundation Class Library, PowerDesigner, PowerDimensions, PowerDynamo, Powering the New Economy, PowerJ, PowerScript, PowerSite, PowerSocket, Powersoft, Powersoft Portfolio, Powersoft Professional, PowerStage, PowerStudio, PowerTips, PowerWare Desktop, PowerWare Enterprise, ProcessAnalyst, QAnywhere, Rapport, Relational Beans, RepConnector, Replication Agent, Replication Driver, Replication Server, Replication Server Manager, Replication Toolkit, Report Workbench, Report-Execute, Resource Manager, RW-DisplayLib, RW-Library, S.W.I.F.T. Message Format Libraries, SAFE, SAFE/PRO, SDF, Secure SQL Server, Secure SQL Toolset, Security Guardian, SKILS, smart.partners, smart.parts, smart.script, SQL Advantage, SQL Anywhere, SQL Anywhere Studio, SQL Code Checker, SQL Debug, SQL Edit, SQL Edit/TPU, SQL Everywhere, SQL Modeler, SQL Remote, SQL Server, SQL Server Manager, SQL Server SNMP SubAgent, SQL Server/CFT, SQL Server/DBM, SQL SMART, SQL Station, SQL Toolset, SQLJ, Stage III Engineering, Startup.Com, STEP, SupportNow, Sybase Central, Sybase Client/Server Interfaces, Sybase Development Framework, Sybase Financial Server, Sybase Gateways, Sybase Learning Connection, Sybase MPP, Sybase SQL Desktop, Sybase SQL Lifecycle, Sybase SQL Workgroup, Sybase Synergy Program, Sybase User Workbench, Sybase Virtual Server Architecture, SybaseWare, Syber Financial, SyberAssist, SybMD, SyBooks, System 10, System 11, System XI (logo), SystemTools, Tabular Data Stream, The Enterprise Client/Server Company, The Extensible Software Platform, The Future Is Wide Open, The Learning Connection, The Model For Client/Server Solutions, The Online Information Center, The Power of One, TotalFix, TradeForce, Transact-SQL, Translation Toolkit, Turning Imagination Into Reality, UltraLite, UltraLite.NET, UNIBOM, Unilib, Uninull, Unisep, Unistring, URK Runtime Kit for UniCode, Versacore, Viewer, VisualWriter, VQL, Warehouse Control Center, Warehouse Studio, Warehouse WORKS, WarehouseArchitect, Watcom, Watcom SQL, Watcom SQL Server, Web Deployment Kit, Web.PB, Web.SQL, WebSights, WebViewer, WorkGroup SQL Server, XA-Library, XA-Server, and XP Server are trademarks of Sybase, Inc. or its subsidiaries.

All other trademarks are property of their respective owners.


About This Help File

Subject

This help file provides context-sensitive information for ODBC data sources, connections, and the dbmlsync utility for MobiLink clients.

Audience

This help file is for anybody connecting to an Adaptive Server Anywhere database using an ODBC data source.


ODBC Configuration Dialog Help

About this chapter

This chapter provides a description of the ODBC Configuration and Certicom Encryption Options dialogs that are provided with Adaptive Server Anywhere.

Using the ODBC Configuration dialog
ODBC Configuration dialog: DBMLSync tab
ODBC Configuration dialog: ODBC tab
ODBC Configuration dialog: Login tab
ODBC Configuration dialog: Database tab
ODBC Configuration dialog: Network tab
ODBC Configuration dialog: Advanced tab
Certicom Encryption Options dialog


Using the ODBC Configuration dialog

You connect to an ODBC database using an ODBC data source. The ODBC Configuration dialog allows you to save a set of Adaptive Server Anywhere connection parameters as an ODBC data source. Once you have a data source, your connection string can simply name the data source to use.

DSN=my data source

For Adaptive Server Anywhere, the use of ODBC data sources goes beyond Windows applications using the ODBC interface:

  • Adaptive Server Anywhere client applications on UNIX can use ODBC data sources, as well as those on Windows operating systems.

  • Adaptive Server Anywhere client applications using the OLE DB, ADO.NET, or embedded SQL interfaces can use ODBC data sources, as well as ODBC applications.

  • Interactive SQL and Sybase Central can use ODBC data sources.


ODBC Configuration dialog: DBMLSync tab

This tab provides options for the dbmlsync Adaptive Server Anywhere client synchronization utility.

The DBMLSync tab of the ODBC Configuration dialog has the following components:

Publication Type the name of the publication that is to be synchronized.

If there is only one publication in your database, you do not need to enter anything in this field.

ML password Type the MobiLink password for user authentication. If you have not entered a password, you must enter one here. If you are being prompted for a password, this is likely the only field you need to complete.

Change password Select this option to change the MobiLink password when synchronization occurs. Unless you are changing the MobiLink password, leave the checkbox blank.

  • New When changing the MobiLink password, type the new password. Unless you are changing the MobiLink password, leave this field blank.

  • Verify When changing the MobiLink password, type the new password again for verification. Unless you are changing the MobiLink password, leave this field blank.

Extended option Supply extended options to customize synchronization. You can supply schedule specifications, stream compression values, and other extended options. For a list of available extended options, click the Extended Option Help button. This field is optional.

Site script Type the name of the script to be executed after synchronization. This field is optional. You can click Browse to locate the site script.

Retry on remote progress If the consolidated and client databases have different information about the last synchronization, you can select this option to retry the upload operation.

By default, uploads continue from the offset recorded by the consolidated database. If you select Retry on Remote Progress, the upload continues from the offset recorded in the client database as long as the offset recorded in the consolidated database is ahead of that at the client database.

If, in addition, you select Remote is Ahead, the upload is retried starting from the offset recorded in the client database even if the offset recorded in the client database is ahead of that recorded in the consolidated database. This option should be used with care. If the offset mismatch is the result of a restore of the consolidated database, changes that happened in the client database in the gap between the two recorded offsets are lost. The Remote is Ahead option may be useful when the client database transaction log has been truncated after the last successful synchronization.

  • Remote is behind Select Remote is Behind to retry the upload from the consolidated database's offset as long as the consolidated database's offset is ahead of that at the client database. This option is only enabled when you select Retry on Remote Progress. This is the default setting.

  • Remote is ahead Select Remote is Ahead to retry the upload from the offset recorded in the client database even if the client's offset is ahead of that recorded at the consolidated database. This option is only enabled when you select Retry on Remote Progress. This option should be used with care.

    This option may be useful when the client database transaction log has been truncated and the synchronization definition has been recreated after the last successful synchronization or when you do not want to upload changes between the last successful synchronization and the recreation.

Verbose operation Select this option to record debugging and other diagnostic information in a log file. This field is optional.

Drop conflicting connections Synchronization requires access to all rows on the tables to be synchronized. Select this option to force connections with locks on these tables to be dropped. This field is optional.

Cmdline help Each of the options on the DBMLSync tab has an equivalent command-line option. Click Cmdline Help to view a list of switches and their description.

Extended option help Click Extended Option Help to view a list of the names, default values, and descriptions of available extended options. You can also supply these options in the Extended Option field to customize synchronization.


ODBC Configuration dialog: ODBC tab

This tab appears only when you are creating or modifying ODBC data sources.

The ODBC tab of the ODBC Configuration dialog has the following components:

Data source name

Type a name to identify this ODBC data source. You can use any descriptive name for the data source (spaces are allowed) but it is recommended that you keep the name short, as you may need to enter it in connection strings.

Description

You can provide a description of the data source. This description may help you or your end users to identify this data source from among their list of available data sources. This is an optional field.

Isolation level

Type a numerical value to specify the initial isolation level for this data source:

  • 0 This is also called the read uncommitted isolation level. This is the default isolation level. It provides the maximum level of concurrency, but dirty reads, non-repeatable reads, and phantom rows may be observed in result sets.

  • 1 This is also called the read committed level. This provides less concurrency than level 0, but eliminates some of the inconsistencies in result sets at level 0. Non-repeatable rows and phantom rows may occur, but dirty reads are prevented.

  • 2 This is also called the repeatable read level. Phantom rows may occur. Dirty reads and non-repeatable rows are prevented.

  • 3 This is also called the serializable level. This provides the least concurrency, and is the strictest isolation level. Dirty reads, non-repeatable reads, and phantom rows are prevented.

Microsoft applications (Keys in SQLStatistics)

Select this option if you want the SQLStatistics function to return foreign keys. The ODBC specification states that SQLStatistics should not return primary and foreign keys; however, some Microsoft applications (such as Visual Basic and Access) assume that primary and foreign keys are returned by SQLStatistics.

Delphi applications

Select this option if you use the Borland Delphi application development tool to create applications that produce your data source.

When this option is selected, one bookmark value is assigned to each row instead of the two that are otherwise assigned (one for fetching forwards and a different one for fetching backwards).

Delphi cannot handle multiple bookmark values for a row. If the option is cleared, scrollable cursor performance can suffer since scrolling must always take place from the beginning of the cursor to the row requested in order to get the correct bookmark value.

Suppress fetch warnings

Select this option if you want to suppress warning messages that are returned from the database server on a fetch.

Versions 8.0 and later of the database server return a wider range of fetch warnings than earlier versions of the software. For applications that are deployed with an earlier version of the software, you can select this option to ensure that fetch warnings are handled properly.

Prevent driver not capable errors

The Adaptive Server Anywhere ODBC driver returns a Driver not capable error because it does not support qualifiers. Some ODBC applications do not handle this error properly. Select this option to prevent this error code from being returned, allowing these applications to work.

Delay AutoCommit until statement close

Select this option to delay the commit operation until a statement closes.

Describe Cursor Behavior

Choose how often you want a cursor to be redescribed when a procedure is executed. The default setting is If Required.

  • Never Select this option if you know that your cursors do not have to be redescribed. Redescribing cursors is expensive and can decrease performance.

  • If required When you select this option, the ODBC driver determines whether a cursor must be redescribed. The presence of a RESULT clause in your procedure prevents ODBC applications from redescribing the result set after a cursor is opened. This is the default.

  • Always The cursor is redescribed each time it is opened. If you use Transact-SQL procedures or procedures that return multiple result sets, you must redescribe the cursor each time it is opened.

Translator The translator converts characters between ANSI and OEM code pages. Most databases do not require a translator because the ODBC Driver Manager automatically performs a conversion between the client's character set and the database's character set. If your database uses an ANSI code page (the default) do not select a translator.

If you require a translator, click Select and choose the translator from the list of installed translators.

  • Select Translator Click Select Translator to choose the ODBC translator you require from a list of installed translators.

Test Connection Tests whether the information provided results in a proper connection. In order for the test to work, a user ID and password must be specified on the Login tab.


ODBC Configuration dialog: Login tab

The Login tab of the ODBC Configuration dialog Login tab has the following components:

Use integrated login

Select this option to connect using an integrated login.

If you select this option, the user ID and password do not need to be specified: instead, your operating system user ID and password are supplied to the Adaptive Server Anywhere integrated login mechanism.

To use integrated logins, users must have been granted integrated login permission and the database you are connecting to must also be set up to accept integrated logins. Only users with DBA access may administer integrated login permissions.

Supply user ID and password Select this option if you want to specify the user ID and password for the connection.

  • User ID Type a user ID for the connection. The user ID you supply must have permissions on a database in order to connect.

  • Password Type a password for the connection. The password must be the correct password for the user ID you supply.

    Extended characters used in passwords are case-sensitive, regardless of the database sensitivity setting.

    • Encrypt password Select this option if you want the password to be stored in encrypted form in the profile.

      This option only appears when creating ODBC data sources. It does not appear when you access this dialog using the dbmlsync utility.

It is recommended that you do not include the password in the data source as it is a significant security risk.

Data source name This option only appears when you open this dialog using the dbmlsync utility. Select this option to choose a data source (a stored set of connection parameters) for connecting to your database. This field is equivalent to the DSN connection parameter, which references a data source in the registry. You can view a list of data sources by clicking Browse.

Data source file This option only appears when you open this dialog using the dbmlsync utility. Select this option to choose a data source file for the connection. You can search for the file by clicking Browse. The ODBC data source file is often used for UNIX systems. You can click Browse to locate an ODBC data source.


ODBC Configuration dialog: Database tab

The Database tab of the ODBC Configuration dialog has the following components:

Server name

Type the name of the Adaptive Server Anywhere personal server or network server. For example, asademo. You need to supply a server name if you want to connect to a network server.

Do not enter a Server Name if you want to connect to the default local personal server or if you want to start a database server from a database file on your local machine. If you do not have a default personal server and you omit the server name, the connection fails.

Start line

The start line is a command to start a personal database server or a network server on your machine. Enter a start line only if you want to connect to a local database server that is not currently running and if you want to set your own start parameters. You must enter the full path of the server, for example to start the personal database server enter, c:\Program Files\Sybase\SQL Anywhere 9\win32\dbeng9.exe.

You can also include options in the Start Line field. The start line and options are used when you want to:

  • Employ any advanced server features.

  • Control protocol options.

  • Provide diagnostic or troubleshooting messages.

  • Set permissions.

  • Set database parameters (including encryption).

Database name

Each database running on a server is identified by a database name. Type the name of the database you are connecting to.

Database file

Specify the database file when the database you want to connect to is not currently running on a server. It is recommended that you type the full path and name of the database file, for example, C:\sample.db. Otherwise, the path of the file is relative to the working directory of the server. This option is only necessary for starting a database that is not already running. You can click Browse to select the database file from the file directory.

Encryption key

If the database file is encrypted, you must supply a key to the database server every time the database server starts the database.

Start database automatically

Select this option to start the database specified in the Database File field before you connect to it.

You should clear the Start Database Automatically option if you want to ensure that you connect only to a running database.

Stop database after last disconnect Select this option to automatically shut down the database after the last user disconnects.


ODBC Configuration dialog: Network tab

The Network tab of the ODBC Configuration dialog has the following components:

TCP/IP If you want to use ECC_TLS (formerly Certicom) or RSA_TLS strong encryption for network packets, you must select the TCP/IP protocol to access the network database server. In the adjacent field, you may enter communication parameters that establish and tune the connection from your client application to a database.

For example, to look on the machine server1 on port 4436 for a database server, you would enter HOST=server1;PORT=4436.

Contact your network administrator if you are unsure which protocol to use.

SPX You can select the SPX protocol to connect to databases on Novell NetWare networks. NetWare also supports the TCP/IP protocol. In the adjacent field, you may type communication parameters that establish and tune the connection from your client application to a database.

For example, you could enter the following communication parameters for an SPX connection HOST=0:0:0:0:0:1/4:236:121:215;PORT=2369.

Contact your network administrator if you are unsure which protocol to use.

Named pipes The Named Pipes protocol is used for client/server communication on the same machine. If you want to run under a certified security environment, you can use the named pipes protocol. It is only provided on Windows NT.

Contact your network administrator if you are unsure which protocol to use.

Shared memory The shared memory protocol is used for communication between a client and server running under the same operating system on the same machine.

Contact your network administrator if you are unsure which protocol to use.

Liveness timeout

A liveness packet is sent across a client/server to confirm that a connection is intact. If the client runs for the liveness timeout period without detecting a liveness packet, the communication is severed. This parameter only works with network server and TCP/IP or IPX communication protocols.

The default liveness timeout is 120 seconds.

Idle timeout

Set the amount of client idle time before the connection is terminated. If a client runs for the idle timeout period without submitting a request, the connection is severed.

The default client idle time is 240 minutes.

Buffer size

Set the maximum size of communication packets, in bytes. You should set the buffer size to be smaller than that allowed by your network because the network software may add information to each buffer before sending it over the network.

The default buffer size is 1460 bytes.

Compress network packets Select this option to turn on compression for the connection. Using compression for a connection can significantly improve Adaptive Server Anywhere performance under some circumstances.

Select the method for encryption of network packets

Allows the encryption of packets transmitted from the client machine over the network.

Separately licensable option required
Transport-layer security requires that you obtain the separately-licensable SQL Anywhere Studio security option and is subject to export regulations.

  • None Communication packets transmitted from the client are not encrypted. This is the default setting.

  • Simple Communication packets transmitted from the client are encrypted with Simple encryption. Simple encryption is supported on all platforms, as well as on previous versions of Adaptive Server Anywhere. Simple encryption is not as strong as ECC_TLS or RSA_TLS encryption.

  • ECC_TLS Select this option to enable ECC_TLS (formerly Certicom) encryption. ECC_TLS encryption protects the confidentiality and integrity of network packets as they pass between the client and the server. It is only available over the TCP/IP protocol.

    In the adjacent field you must supply a trusted certificate value. You can also click Edit to supply this value.

  • RSA_TLS Select this option to enable RSA_TLS encryption. RSA_TLS encryption protects the confidentiality and integrity of network packets as they pass between the client and the server. It is only available over the TCP/IP protocol.

    In the adjacent field you must supply a trusted certificate value. You can also click Edit to supply this value.

  • RSA_TLS_FIPS Select this option to enable RSA_TLS_FIPS encryption. When this option is selected, the database server accepts communication packets encrypted using FIPS-approved RSA encryption technology. RSA_TLS_FIPS uses a separate approved library than RSA_TLS, but is compatible with clients specifying RSA_TLS with Adaptive Server Anywhere 9.0.2 or later. To use this type of encryption, both the client and the server must be operating on a supported 32-bit Windows operating system, and the connection must be over the TCP/IP port.

    In the adjacent field you must supply a trusted certificate value. You can also click Edit to supply this value.

    • Edit Click Edit to supply encryption values for trusted certificates, certificate company, certificate unit, and certificate name in the Certicom Encryption Options dialog.

See also
  • Certicom Encryption Options dialog


ODBC Configuration dialog: Advanced tab

The Advanced tab of the ODBC Configuration dialog has the following components:

Connection name

Type a name to identify the connection. This field is optional.

Character set Type a character set name. By default, the client's ANSI character set is used, for example cp1252 for English systems. You can also supply an OEM character set instead of an ANSI character set.

Allow multiple record fetching

Select this option to retrieve multiple records at one time, instead of individually, for improved performance.

Display debugging information in a log file Select this option to record diagnostic information on communications links in the log file.

  • Log file Type the name of the log file where you want to save the debugging information.

Additional connection parameters Type any additional connection parameters in this field in a semicolon separated list. For example,

DEBUG=YES;LOG=connection.log

Parameters set in this field take precedence over parameters set throughout the rest of this dialog. For example, if you enter the user ID DBA on the Identification tab, and set the connection parameter "uid=bsmith" in this field, a connection with the user ID bsmith is attempted.


Certicom Encryption Options dialog

This dialog displays fields for the client's Certicom encryption settings.

The Certicom Encryption Options dialog has the following components:

Trusted certificates Type the name of the certificate file the client uses to authenticate the server. You can also click Browse to select the trusted certificate from the file directory. This is a required field.

Certificate company Type the name of the certificate authority or organization that issued the certificate. The server's and the client's values must match. This is an optional field.

Certificate unit Type the certificate unit. This is also called the organizational unit. The server's and the client's values must match. This is an optional field.

Certificate name Type the certificate's common name. The server's and the client's values must match. This is an optional field.


Please choose subentry

Please choose a subentry

To view a topic related to this index entry, double-click one of the subentries.


How To...

Filter Reset Toggle headings


Tutorials